Get conversation messages

The method allows to retrieve messages from a conversation.

Limitations

  • The method is available in accordance with the user’s rights
  • The method is available for the Trial, Pro, Enterprise and Technical plans
  • The method requires External chat history integration scope

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters

ParameterData typeDescription
idstringMessage ID
chat_idstringChat ID
typestringMessage direction. Possible values: incoming, outgoing
message_typestringMessage content type. Possible values: text, contact, file, video, picture, voice, audio, sticker, location
authorobjThe message author object
author[id]stringAuthor ID
author[type]stringAuthor type. Possible values: internal (Kommo user), external (client), bot (Kommo bot)
author[name]stringAuthor display name
author[avatar_url]stringURL of the author's avatar
author[user_id]intKommo user ID. Returned only when author[type]: internal
recipientobjThe message recipient object
recipient[id]stringRecipient ID
recipient[type]string | nullRecipient type. Possible values: external (client)
recipient[name]stringRecipient display name
recipient[avatar_url]stringURL of the recipient's avatar
textstringMessage text. Empty for messages without text content
created_atintMessage creation time as a Unix timestamp (seconds)
sec_created_atintMessage creation time as a Unix timestamp (milliseconds)
originstringChat channel of the message.
delivery_statusstringMessage delivery status. Possible values: sent, delivered, error
attachmentobj | nullAttachment object
attachment[type]stringAttachment type
attachment[link]stringAttachment file path or URL
attachment[file_name]stringAttachment file name

Path Params
integer
required

Conversation ID

Query Params
integer

A page of response

integer

The number of entities returned per request (limit – 250)

integer

Filter by the message sending date in the Unix Timestamp. Filters messages from this date.

integer

Filter by the message sending date in the Unix Timestamp. Filters messages up to this date.

Headers
string
enum
Defaults to application/hal+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/hal+json
application/problem+json